'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _domLib = require('dom-lib');

var _ClassNameMixin = require('./mixins/ClassNameMixin');

var _ClassNameMixin2 = _interopRequireDefault(_ClassNameMixin);

var _ReactComponentWithPureRenderMixin = require('./mixins/ReactComponentWithPureRenderMixin');

var _ReactComponentWithPureRenderMixin2 = _interopRequireDefault(_ReactComponentWithPureRenderMixin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CellGroup = _react2.default.createClass({
  displayName: 'CellGroup',

  mixins: [_ClassNameMixin2.default, _ReactComponentWithPureRenderMixin2.default],
  propTypes: {
    fixed: _react.PropTypes.bool,
    width: _react.PropTypes.number,
    height: _react.PropTypes.number,
    left: _react.PropTypes.number,
    style: _react.PropTypes.string
  },
  render: function render() {
    var _props = this.props,
        children = _props.children,
        fixed = _props.fixed,
        width = _props.width,
        left = _props.left,
        height = _props.height,
        style = _props.style,
        className = _props.className;


    var classes = (0, _classnames2.default)(className, this.prefix('cell-group'), fixed ? 'fixed' : 'scroll');

    var styles = _extends({
      width: width,
      height: height
    }, style);

    (0, _domLib.translateDOMPositionXY)(styles, left, 0);

    return _react2.default.createElement(
      'div',
      { className: classes, style: styles },
      children
    );
  }
});

exports.default = CellGroup;